export interface OpenDialogOptions {
    filter?: string;
    defaultPath?: string;
    multiple?: boolean;
    directory?: boolean;
}
export declare type SaveDialogOptions = Pick<OpenDialogOptions, 'filter' | 'defaultPath'>;
/**
 * @name openDialog
 * @description Open a file/directory selection dialog
 * @param [options]
 * @param [options.filter]
 * @param [options.defaultPath]
 * @param [options.multiple=false]
 * @param [options.directory=false]
 * @returns promise resolving to the select path(s)
 */
declare function open(options?: OpenDialogOptions): Promise<String | String[]>;
/**
 * @name save
 * @description Open a file/directory save dialog
 * @param [options]
 * @param [options.filter]
 * @param [options.defaultPath]
 * @returns promise resolving to the select path
 */
declare function save(options?: SaveDialogOptions): Promise<String>;
export { open, save };
